mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Channels transport messages between applications across such remoting boundaries as application domains, processes, and computers. These crossings can be inbound and outbound. A channel can listen on an endpoint for inbound messages, send to an endpoint for outbound messages, or both. This provides an extensibility point in the runtime to plug in a wide range of protocols, even though the runtime might not be at the other end of the channel. Run-time objects can be used to expose a wide range of semantics and entities. The channel provides the extensibility point to convert the messages to and from the specific protocols.

Channels must expose the interface, which provides informational properties such as the and . Channels are registered using the method. Channels can also be loaded from the remoting configuration. (See [<topic://gnconchanneltemplate>] for details.)

On the client side, messages are handed off to the client channel sink chain after they traverse the client chain. The first channel sink is typically a , which serializes the message into a stream that is passed down the channel sink chain to the client transport sink. The client transport sink then writes this stream out to the wire.

On the server side, the server transport sink reads requests off the wire and passes the request stream to the server channel sink chain. The server formatter sink at the end of this chain will deserialize the request into a message. It will then hand this message off to the remoting infrastructure, which will dispatch it to the server chain.

Provides static methods to aid with remoting channel registration, resolution, and URL discovery. This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessageCtrl `` ``

  The current method returns immediately, whether the server processed the specified message or not.

  Asynchronously dispatches the given message to the server-side chain(s) based on the URI embedded in the message.

  A object used to control the asynchronously dispatched message.

  The message to dispatch. The sink that will process the return message if it is not null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.IServerChannelSink `` `` To be added

  Creates a channel sink chain for the specified channel.

  A new channel sink chain for the specified channel.

  The first provider in the chain of sink providers that will create the channel sink chain. The for which to create the channel sink chain.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.ServerProcessing `` `` `` To be added: an object of type 'IServerChannelSinkStack' To be added: an object of type 'Runtime.Remoting.Messaging.IMessage' To be added: an object of type 'Runtime.Remoting.Messaging.IMessage&' To be added To be added: an object of type 'ServerProcessing' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.IChannel `` To be added

  Returns a registered channel with the specified name.

  An interface to a registered channel, or null if the channel is not registered.

  The channel name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary `` To be added

  Returns a of properties for a given proxy.

  An interface to the dictionary of properties, or null if no properties were found.

  The proxy to retrieve properties for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] `` To be added

  Returns an array of all the URLs that can be used to reach the specified object.

  An array of strings that contains the URLs that can be used to remotely identify the object, or null if none were found.

  The object to retrieve the URL array for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use RegisterChannel(IChannel,Boolean)")
  System.Void ``

  is obsolete. Please use instead.

  The method takes in the interface from a channel object. The channel's must be unique, or the channel must be anonymous. A channel is anonymous if the is set to either null or by using the name configuration property.

  You cannot register two channels with the same name in a . By default, the name of a is "http" and the name of a is "tcp." Therefore, if you want to register two channels of the same type, you must specify a different name for one of them through configuration properties.

  For more information about channel configuration properties, see , and [<topic://gnconchanneltemplate>].

  Registers a channel with the channel services. is obsolete. Please use instead.

  The channel to register.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method receives the interface from a channel object. The channel's must be unique, or the channel must be anonymous. A channel is anonymous if the is set to either null or by using the name configuration property.

  You cannot register two channels with the same name in a . By default, the name of a is "http" and the name of a is "tcp". Therefore, if you want to register two channels of the same type, you must specify a different name for one of them through configuration properties.

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties and [<topic://gnconchanneltemplate>].

  If the parameter is set to true, the remoting system determines whether the channel implements , and if so, enables encryption and digital signatures. An exception is thrown if the channel does not implement .

  Setting to true throws a for the on Windows 98 (Since secure tcp channels are not supported on Windows 9x), and for the on all platforms (You must host your service in IIS if you want to use a secure http channel).

  Registers a channel with the channel services.

  The channel to register. true ensures that security is enabled; otherwise false. Setting the value to false does not effect the security setting on the TCP or IPC channel.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.IChannel[] To be added: an object of type 'IChannel []' To be added

  Gets a list of currently registered channels.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessage `` To be added

  Synchronously dispatches the incoming message to the server-side chain(s) based on the URI embedded in the message.

  A reply message is returned by the call to the server-side chain.

  The message to dispatch.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Unregisters a particular channel from the registered channels list.

  The channel to unregister.